Compare commits

..

30 Commits

Author SHA1 Message Date
Kroese
e2fd53c5fb
Update win2016-eval.xml 2024-04-25 03:12:57 +02:00
Kroese
fea472ce44
Update win2019-eval.xml 2024-04-25 03:12:33 +02:00
Kroese
4c51cb73e9
Update win2022-eval.xml 2024-04-25 03:12:11 +02:00
Kroese
4e307b8785
Update win10x64.xml 2024-04-25 03:11:48 +02:00
Kroese
819d780cec
Update win10x64-ltsc.xml 2024-04-25 03:11:18 +02:00
Kroese
e024441d21
Update win10x64-iot.xml 2024-04-25 03:10:54 +02:00
Kroese
06cc143595
Update win10x64-enterprise-eval.xml 2024-04-25 03:10:31 +02:00
Kroese
a3edb65e4b
Update win11x64-enterprise-eval.xml 2024-04-25 03:06:50 +02:00
Kroese
44ba903f9d
Update win11x64.xml 2024-04-25 03:06:15 +02:00
Kroese
a27df384fe
Update win2016-eval.xml 2024-04-25 02:15:36 +02:00
Kroese
9e6e4a1490
Update win2019-eval.xml 2024-04-25 02:15:11 +02:00
Kroese
1a7b4db5d1
Update win2022-eval.xml 2024-04-25 02:14:42 +02:00
Kroese
262e73f45d
Update win10x64-enterprise-eval.xml 2024-04-25 02:04:18 +02:00
Kroese
d250d06ca8
Update win10x64-iot.xml 2024-04-25 02:03:27 +02:00
Kroese
a0ce86369b
Update win10x64-ltsc.xml 2024-04-25 02:02:51 +02:00
Kroese
5fec254f4b
Update win10x64.xml 2024-04-25 02:01:49 +02:00
Kroese
9e59f012e8
Update win11x64-enterprise-eval.xml 2024-04-25 02:00:47 +02:00
Kroese
16bb58759e
Update win11x64.xml 2024-04-25 02:00:10 +02:00
Kroese
4198b3d9eb
Update win11x64.xml 2024-04-25 01:32:57 +02:00
Kroese
dea1b04709
Update win11x64-enterprise-eval.xml 2024-04-25 01:32:29 +02:00
Kroese
f256f922e0
Update win10x64-enterprise-eval.xml 2024-04-25 01:31:54 +02:00
Kroese
3b0bc2817b
Update win10x64-iot.xml 2024-04-25 01:31:35 +02:00
Kroese
895fa9cb73
Update win10x64-ltsc.xml 2024-04-25 01:31:11 +02:00
Kroese
0eed25f23c
Update win10x64.xml 2024-04-25 01:30:33 +02:00
Kroese
e503215e79
Update win11x64-enterprise-eval.xml 2024-04-25 01:16:50 +02:00
Kroese
a8cdd1ba65
Update win11x64.xml 2024-04-25 01:16:20 +02:00
Kroese
0293a327f0
Update win10x64-ltsc.xml 2024-04-25 01:13:17 +02:00
Kroese
1943e1bfa8
Update win10x64-iot.xml 2024-04-25 01:12:50 +02:00
Kroese
7cd38ca019
Update win10x64-enterprise-eval.xml 2024-04-25 01:12:26 +02:00
Kroese
31e038b145
Update win10x64.xml 2024-04-25 01:09:07 +02:00
3 changed files with 11 additions and 11 deletions

View File

@ -1,5 +1,5 @@
FROM scratch
COPY --from=qemux/qemu-docker:4.25 / /
COPY --from=qemux/qemu-docker:4.24 / /
ARG DEBCONF_NOWARNINGS "yes"
ARG DEBIAN_FRONTEND "noninteractive"

View File

@ -21,7 +21,7 @@ cd /run
trap - ERR
info "Booting ${APP}${BOOT_DESC}..."
info "Booting ${APP}${BOOT_DESC} on a ${CPU} using QEMU v${VERS} with kernel $(uname -r)..."
[[ "$DEBUG" == [Yy1]* ]] && echo "Arguments: $ARGS" && echo
{ qemu-system-x86_64 ${ARGS:+ $ARGS} >"$QEMU_OUT" 2>"$QEMU_LOG"; rc=$?; } || :

View File

@ -200,7 +200,7 @@ handle_curl_error() {
# https://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_08_02
$((error_code <= 125)))
# Must be some other server or network error (possibly with this specific request/file)
# This is when accounting for all possible errors in the curl manual assuming a correctly formed curl command and an HTTP(S) request, using only the curl features we're using, and a sane build
# This is when accounting for all possible errors in the curl manual assuming a correctly formed curl command and HTTP(S) request, using only the curl features we're using, and a sane build
echo_err "Miscellaneous server or network error!"
;;
126 | 127)
@ -246,7 +246,7 @@ scurl_file() {
handle_curl_error "$error_code"
error_action=$?
# Clean up and make sure a future resume doesn't happen from a bad download resume file
# Clean up and make sure future resumes don't happen from bad download resume files
if [ -f "$out_file" ]; then
# If file is empty, bad HTTP code, or bad download resume file
if [ ! -s "$out_file" ] || [ "$error_code" = 22 ] || [ "$error_code" = 36 ]; then
@ -374,13 +374,13 @@ consumer_download() {
if ! [ "$iso_download_link_html" ]; then
# This should only happen if there's been some change to how this API works
echo_err "Microsoft servers gave us an empty response to our request for an automated download."
echo_err "Microsoft servers gave us an empty response to our request for an automated download. Please check the FAQ on how to boot from a local file and manually download this ISO in a web browser: $url"
manual_verification="true"
return 1
fi
if echo "$iso_download_link_html" | grep -q "We are unable to complete your request at this time."; then
echo_err "Microsoft blocked the automated download request based on your IP address."
echo_err "Microsoft blocked the automated download request based on your IP address. Please check the FAQ on how to boot from a local file and manually download this ISO in a web browser here: $url"
manual_verification="true"
return 1
fi
@ -392,12 +392,12 @@ consumer_download() {
if ! [ "$iso_download_link" ]; then
# This should only happen if there's been some change to the download endpoint web address
echo_err "Microsoft servers gave us no download link to our request for an automated download."
echo_err "Microsoft servers gave us no download link to our request for an automated download. Please check the FAQ on how to boot from a local file and manually download this ISO in a web browser: $url"
manual_verification="true"
return 1
fi
#echo_ok "Got latest ISO download link (valid for 24 hours): $iso_download_link"
echo_ok "Got latest ISO download link (valid for 24 hours): $iso_download_link"
# Download ISO
scurl_file "$out_file" "1.3" "$iso_download_link"
@ -458,7 +458,7 @@ enterprise_eval_download() {
# Limit untrusted size for input validation
iso_download_link="$(echo "$iso_download_link" | head -c 1024)"
#echo_ok "Got latest ISO download link: $iso_download_link"
echo_ok "Got latest ISO download link: $iso_download_link"
# Use highest TLS version for endpoints that support it
case "$iso_download_link" in
@ -675,7 +675,7 @@ ending_summary() {
done
# shellcheck disable=SC2086
echo_err "Attempted download failed!"
echo_err "$(word_count $media_download_failed_list) attempted download(s) failed! Please re-run Mido with these arguments to try downloading again (any partial downloads will be resumed):$media_download_failed_argument_list"
fi
# Exit codes
@ -716,7 +716,7 @@ handle_exit() {
if [ "$exit_code" != 0 ] || [ "$signal" ]; then
echo "" >&2
echo_err "Mido was exited abruptly!"
echo_err "Mido was exited abruptly! PARTially downloaded or UNVERIFIED Windows media may exist. Please re-run this Mido command and do not use the bad media."
fi
if [ "$exit_code" != 0 ]; then